### Method

# Gtk CellAreaContext get_preferred_width_for_height

#### Declaration [src]

    void
    gtk_cell_area_context_get_preferred_width_for_height (
      GtkCellAreaContext* context,
      int height,
      int* minimum_width,
      int* natural_width
    )

#### Description [src]

Gets the accumulative preferred width for `height` for all rows which have been requested for the same said `height` with this context.

After gtk_cell_area_context_reset() is called and/or before ever requesting the size of a `GtkCellArea`, the returned values are -1.

#### Parameters

`height` | `int`
| A proposed height for allocation.
`minimum_width` | `int*`
| Location to store the minimum width.
| The argument will be set by the function.
| The argument can be `NULL`.
| The instance takes ownership of the data, and is responsible for freeing it.
`natural_width` | `int*`
| Location to store the natural width.
| The argument will be set by the function.
| The argument can be `NULL`.
| The instance takes ownership of the data, and is responsible for freeing it.